Subject: Re: bug#18591: 24.4.50; bootstrap-emacs crashes when trying to bytecompile tibetan.el

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Sep 2014 18:52:19 +0300

> From: Vincent Belaïche <[email-masked]> 
> Date: Tue, 30 Sep 2014 17:11:57 +0200
> Cc: Vincent Belaïche <[email-masked]>
> 
> I am trying to build the latest (bzr update this morning) Emacs and it
> fails when compiling language/tibetan.el with src/bootstrap-emacs.exe,
> and what happens is a CRASH.

Not reproducible here.  I've just bootstrapped the latest trunk with
no problems at all.

A couple of observations:

> running CONFIG_SHELL=/bin/sh /bin/sh ./configure --prefix=c:/Programme/GNU/Emacs --without-jpeg --without-tiff --without-gif --without-png CPPFLAGS= -DFOR_MSW

You are using a Windows-style d:/foo/bar file name in the --prefix
option to configure, which is known to cause problems.  nt/INSTALL
suggests to use the MSYS-style /d/foo/bar instead.  (I don't think
this is the cause of your problem, but still.)

> Compiling ../lisp/language/tibetan.el
> /bin/sh: ../src/bootstrap-emacs.exe: Bad file number
> make[3]: *** [compile-onefile] Error 126

Did you notice this error message?  It's from Bash.  It sounds like
something is not healthy on that system, maybe some anti-virus
software or some problem with the Registry.